## fakeroot 1.2.2

=== {arch}/++pristine-trees/unlocked/fakeroot/fakeroot--main/fakeroot--main--0.0/fakeroot@packages.debian.org--fakeroot/fakeroot--main--0.0--patch-21/debian/changelog ===
fakeroot (1.0.6) unstable; urgency=low

  * doc/fakeroot.1: Fix misspelling of 'where'.   closes: #259341.
  * doc/es/fakeroot.1, doc/es/faked.1: updated Spanish manpage translations
    from Rubén Porras Campo.  closes: #263035.
  * doc/faked.1, doc/fakeroot.1: fix Ray's email address.
  * doc/fakeroot.1: add lengthier explanation of fd base for TCP mode.
  * doc/fakeroot.1: remove reference to potato.  closes: #263938.
  * doc/fr/fakeroot.1: updated French manpage translation from Sylvain
    Cherrier.  closes: #263947.
  * scripts/Makefile.am, scripts/fakeroot.in: use --libdir instead of
    hardcoding ${PREFIX]/lib/libfakeroot.  closes: #260073.

 -- Clint Adams <schizo@debian.org>  Thu, 15 Jul 2004 09:34:31 -0400

fakeroot (1.0.5) unstable; urgency=low

  * gzip faked-tcp and fakeroot-tcp manpages. 

 -- Clint Adams <schizo@debian.org>  Mon, 12 Jul 2004 20:33:34 -0400

fakeroot (1.0.4) unstable; urgency=medium

  * faked.c: Implement a hash table for looking up inode data.  This
    speeds up fakeroot builds of large packages by a couple orders of
    magnitude.  Closes: #256433.
  * faked.c: Correct a typo in the usage information.

  + Daniel Schepler <schepler@debian.org>  Sun, 27 Jun 2004 15:47:54 -0700
 
  * test/tartest: order arguments to chown and chmod in a sane way. 

 -- Clint Adams <schizo@debian.org>  Tue, 22 Jun 2004 13:15:16 -0400

fakeroot (1.0.3) unstable; urgency=low

  * libfakeroot.c: correctly handle platforms where the first
    argument to setgroups() is int.
  * configure.ac, communicate.c: include sys/socket.h if available
    (necessary on FreeBSD).
  * test/tartest: chown to daemon instead of sys, since it's more likely
    to exist.
  * test/tartest.tar.gz.uue: update test tarball accordingly.
  * INSTALL: add some terse notes.
  * Add prebuild target to debian/rules for use with arch-buildpackage.
  * scripts/fakeroot.in: drop "-net" from version string.
  * Fix stupid build thinko on s390.

 -- Clint Adams <schizo@debian.org>  Fri, 18 Jun 2004 15:42:33 -0400

fakeroot (1.0.2) unstable; urgency=low

  * Fix the broken symlinks I just introduced.
  * configure.ac: Drop AC_PROG_CXX since we don't use C++ anymore.

 -- Clint Adams <schizo@debian.org>  Fri, 18 Jun 2004 13:46:59 -0400

fakeroot (1.0.1) unstable; urgency=low

  * Fix library rename thinko. 
  * Handle platforms with inttypes.h but not stdint.h.
  * Handle platforms where first argument to setgroups() is int.
  * Handle platforms without endian.h.
  * Handle platforms where SOL_TCP is undefined.
  * Handle platforms where libsocket is necessary.
  * configure.ac, faked.c: Include sys/sysmacros.h if available ( for MAX()).
  * configure.ac, libfakeroot.c: handle platforms without setresuid() or
    setresgid().

 -- Clint Adams <schizo@debian.org>  Fri, 18 Jun 2004 12:19:06 -0400

fakeroot (1.0.0) unstable; urgency=low

  * configure.ac: add --with-ipc=sysv and --with-ipc=tcp options
    to select IPC type.
  * communicate.c, communicate.h, libfakeroot.c, wrapfunc.inp:
    change ifdef from FAKENET to FAKEROOT_FAKENET.
  * scripts/fakeroot.in: generate fakeroot dynamically now
  * scripts/fakeroot.in: add in fakeroot-net options (-b, -v, -h).
  * faked.c: print warnings if TCP options are used in a SYSV IPC-
    compiled version or vice-versa.
  * doc/fakeroot.1, doc/faked.1: describe new options.
  * Build and install TCP version as faked-tcp, fakeroot-tcp,
    libfakeroot-tcp.

 -- Clint Adams <schizo@debian.org>  Thu, 10 Jun 2004 12:29:35 -0400

fakeroot (0.9.6) unstable; urgency=low

  * communicate.c, communicate.h, faked.cc: Rename func_id to func_id_t. 
  * configure.ac: add check for libpthread.
  * communicate.c, communicate.h, libfakeroot.c, wrapfunc.inp: add in
    TCP modifications from Tivo Savola's fakeroot-net, ifdef'd (FAKENET).
  * message.h, faked.c, Makefile.am: add in files from Tivo Savola's
    fakeroot-net.
  * AUTHORS: add Timo Savola for fakeroot-net work.
  * fake/configure.ac: update fakeroot version.

 -- Clint Adams <schizo@debian.org>  Fri, 21 May 2004 12:14:15 -0400

fakeroot (0.9.5) unstable; urgency=high

  * communicate.c: Fix stupid typo that crept into 0.9.4 and caused
    problems with gcc finding include files.  closes: #247432.

 -- Clint Adams <schizo@debian.org>  Wed,  5 May 2004 09:38:05 -0400

fakeroot (0.9.4) unstable; urgency=medium

  * Remove extraneous build dependencies on file and gcc-3.3. 
  * Remove -pedantic from CXXFLAGS.
  * Change references in DEBUG from libtricks to libfakeroot.
  * communicate.c: change error message to say libfakeroot instead of
    libtricks.
  * communicate.c, communicate.h: add send_stat64.
  * libfakeroot.c: use send_stat64 in wrapped unlink() where applicable.
  * communicate.h: add send_get_stat64.

 -- Clint Adams <schizo@debian.org>  Mon,  3 May 2004 15:17:19 -0400

fakeroot (0.9.3) unstable; urgency=low

  * Convert tartest to a /bin/sh script. 

 -- Clint Adams <schizo@debian.org>  Mon,  3 May 2004 09:22:29 -0400

fakeroot (0.9.2) unstable; urgency=high

  * Fix FTBFS on mipsel/arm/mips/hppa/powerpc due to flaw in
    patch for #246894.  closes: #247052.

 -- Clint Adams <schizo@debian.org>  Sun,  2 May 2004 22:45:54 -0400

fakeroot (0.9.1) unstable; urgency=medium

  * Fix unlink() so that it will remove files larger than 2Gb on
    32-bit machines.  closes: #246894.

 -- Clint Adams <schizo@debian.org>  Sun,  2 May 2004 18:47:12 -0400

fakeroot (0.9.0) unstable; urgency=medium

  * Apply patch from Andrew Suffield to allow applications to
    detect and disable fakeroot.  closes: #224030.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Mar 2004 19:56:06 -0500

fakeroot (0.8.5) unstable; urgency=medium

  * Compress Spanish manpages.

 -- Clint Adams <schizo@debian.org>  Sun, 22 Feb 2004 17:07:48 -0500

fakeroot (0.8.4) unstable; urgency=low

  * Fix description modesty problem.   closes: #231327.

 -- Clint Adams <schizo@debian.org>  Fri, 20 Feb 2004 12:32:45 -0500

fakeroot (0.8.3) unstable; urgency=high


