=== {arch}/++pristine-trees/unlocked/fakeroot/fakeroot--main/fakeroot--main--0.0/fakeroot@packages.debian.org--fakeroot/fakeroot--main--0.0--patch-25/debian/changelog ===
fakeroot (1.0.8) unstable; urgency=low

  Ruben Porras:

  * doc/es/faked.1, doc/es/fakeroot.1: Updated Spanish manpage
    translations.

 -- Clint Adams <schizo@debian.org>  Thu,  2 Sep 2004 13:46:57 -0400
