=== {arch}/++pristine-trees/unlocked/fakeroot/fakeroot--main/fakeroot--main--0.0/fakeroot@packages.debian.org--fakeroot/fakeroot--main--0.0--patch-45/debian/changelog ===
fakeroot (1.2.2) unstable; urgency=low

  * Derive version from debian/changelog entry.
    closes: #286648.

 -- Clint Adams <schizo@debian.org>  Tue, 21 Dec 2004 12:16:30 -0500

fakeroot (1.2.1) unstable; urgency=low

  * debian/rules: Do configure --host on cross build.
    Don't invoke 'make check' on cross build.
        
 -- NIIBE Yutaka <gniibe@fsij.org>  Wed,  8 Dec 2004 15:55:52 +0900

fakeroot (1.2) unstable; urgency=low

  * Apply patch from Dmitry V. Levin <ldv@altlinux.org>:
    (Implement wrappers for getresuid, getresgid, setfsuid and
     setfsgid functions.)
   - communicate.h: New macros: FAKEROOTFUID_ENV, FAKEROOTFGID_ENV.
   - configure.ac: Check for getresuid, getresgid, setfsuid and
     setfsgid functions.
   - libfakeroot.c: (faked_fs_uid, faked_fs_gid): New variables.
     (set_faked_uid, set_faked_gid, set_faked_euid, set_faked_egid,
     set_faked_reuid, set_faked_regid, set_faked_resuid,
     set_faked_resgid): Set these variables.
     (read_fs_uid, read_fs_gid, write_fs_uid, write_fs_gid): New
     functions.
     (read_uids, read_gids, write_uids, write_gids, set_faked_euid,
     set_faked_egid): Use these functions.
     (get_faked_suid, get_faked_sgid, get_faked_fsuid,
     get_faked_fsgid, set_faked_fsuid, set_faked_fsgid): New functions.
     [HAVE_GETRESUID] (getresuid): New function.
     [HAVE_GETRESGID] (getresgid): Likewise.
     [HAVE_SETFSUID] (set_faked_fsuid, setfsuid): New functions.
     [HAVE_SETFSGID] (set_faked_fsgid, setfsgid): Likewise.
   - wrapfunc.inp [HAVE_GETRESUID] (getresuid): New wrapper.
     [HAVE_GETRESGID] (getresgid): Likewise.
     [HAVE_SETFSUID] (setfsuid): Likewise.
     [HAVE_SETFSGID] (setfsgid): Likewise.

 -- Clint Adams <schizo@debian.org>  Sat, 27 Nov 2004 12:51:24 -0500

fakeroot (1.1.5) unstable; urgency=low

  * faked.c: patch from Andreas Borchert to fix broken --key
    option.  closes: #276872.

 -- Clint Adams <schizo@debian.org>  Sun, 17 Oct 2004 17:51:39 -0400

fakeroot (1.1.4) unstable; urgency=low

  * faked.c: patch from Andreas Borchert to fix command-line
    parsing.  closes: #276688.

 -- Clint Adams <schizo@debian.org>  Fri, 15 Oct 2004 18:00:22 -0400

fakeroot (1.1.3) unstable; urgency=low

  * faked.c: ifdef fail() function as it is only used with
    the tcp ipc.

 -- Clint Adams <schizo@debian.org>  Mon, 11 Oct 2004 12:28:52 -0400

fakeroot (1.1.2) unstable; urgency=low

  * faked.c: a few more signedness cleanups.

 -- Clint Adams <schizo@debian.org>  Thu,  7 Oct 2004 17:46:37 -0400

fakeroot (1.1.1) unstable; urgency=low

  * faked.c, libfakeroot.c: address some signedness issues which
    crept in in 1.1.

 -- Clint Adams <schizo@debian.org>  Thu,  7 Oct 2004 11:30:41 -0400

fakeroot (1.1) unstable; urgency=low

  Ruben Porras:

  * doc/es/faked.1, doc/es/fakeroot.1: Updated Spanish manpage
    translations.  closes: #265753.

  Timo Savola:

  * communicate.h, libfakeroot.c: Fake implementations for the setuid
    family of functions (fakeroot used to only provide dummy
    implementations). The fake IDs are inherited by child processes via
    environment variables. Attempts to behave according to the POSIX
    standard (= Linux man pages).

  Clint Adams:

  * Update version number to 1.1.  closes: #267136.

 -- Clint Adams <schizo@debian.org>  Sat,  2 Oct 2004 11:55:01 -0400
