## fakeroot 1.2.10

=== debian/changelog ===
fakeroot (1.2.10) unstable; urgency=low

  * Have fakeroot-tcp be a higher-priority alternative on the Hurd.
    closes: #299633.

 -- Clint Adams <schizo@debian.org>  Sat, 23 Apr 2005 10:52:07 -0400

fakeroot (1.2.9) unstable; urgency=medium

  * Fix broken symlinks in /usr/lib64/libfakeroot.
    closes: #301149.

 -- Clint Adams <schizo@debian.org>  Tue,  5 Apr 2005 20:29:33 -0400

fakeroot (1.2.8) unstable; urgency=medium

  * Fix typo in debian/rules preventing testsuite from being run. 

 -- Clint Adams <schizo@debian.org>  Thu, 24 Mar 2005 07:09:26 -0500

fakeroot (1.2.7) unstable; urgency=medium

  * Apply patch from Andrey Mitrofanov to fix stripping of shared
    objects, broken by the alternatives changes.
  * Fix stripping of bi-arch shared objects.

 -- Clint Adams <schizo@debian.org>  Fri, 18 Mar 2005 09:42:58 -0500

fakeroot (1.2.6) unstable; urgency=low

  * Manage /usr/bin/fakeroot via alternatives.

 -- Clint Adams <schizo@debian.org>  Tue, 15 Mar 2005 19:27:35 -0500

fakeroot (1.2.5) unstable; urgency=low

  * fakeroot.1: Include text by Justin Pryzby about LD_PRELOAD and
    LD_LIBRARY_PATH environment variables.  closes: #294655.

 -- Clint Adams <schizo@debian.org>  Thu, 10 Mar 2005 16:08:16 -0500

fakeroot (1.2.4) unstable; urgency=low

  * Fix debian/rules typo that broke s390 build.

 -- Clint Adams <schizo@debian.org>  Mon, 31 Jan 2005 22:28:16 -0500

fakeroot (1.2.3) unstable; urgency=medium

  Timo Savola:

  * communicate.c, communicate.h, faked.c: Rearranged
    FAKEROOT_FAKENET #ifdefs so that communication.c and faked.c
    are manageable again.

  Clint Adams:

  * Remove debian/files in clean target.  closes: #291739.

 -- Clint Adams <schizo@debian.org>  Sun, 23 Jan 2005 09:59:23 -0500
