## fakeroot 1.5.1ubuntu2

=== debian/changelog ===
fakeroot (1.5.1ubuntu2) breezy; urgency=low

  * Override -march and -mtune to x86-64 in our i386/64-bit bi-arch build,
    so we don't FTBFS on the buildds which set their own -march and -mtune.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun,  2 Oct 2005 19:08:57 +1000

fakeroot (1.5.1ubuntu1) breezy; urgency=low

  * Synchronize with unstable, no changes left.
    - Fixes sparc-linux biarch support.
  * Fix biarch support for amd64 on breezy, we're using usr/lib32,
    not emul/ia32-linux/usr/lib.
  * Add support for i386, powerpc and ppc64 biarch.

 -- Matthias Klose <doko@ubuntu.com>  Sat,  1 Oct 2005 22:12:43 +0200

fakeroot (1.5.1) unstable; urgency=high

  * Fix autoconf magic to include the right dir on alphalinux/glibc.

 -- Clint Adams <schizo@debian.org>  Sun,  4 Sep 2005 18:54:28 -0400

fakeroot (1.5) unstable; urgency=low

  * Fix error in French fakeroot(1), thanks to Kevin Ryde.
    closes: #316797.
  * Use crazy and ugly stat struct conversion hackery on alpha
    to circumvent the hilariously incompatible struct change in
    glibc 2.3.4.  closes: #324571.

 -- Clint Adams <schizo@debian.org>  Sat,  3 Sep 2005 23:38:41 -0400

fakeroot (1.4.3) unstable; urgency=low

  * Make mknod debug message say "mknod" instead of "chmod".
  * Fix libcpath case statement in configure.ac.

 -- Clint Adams <schizo@debian.org>  Sun, 21 Aug 2005 19:49:55 -0400

fakeroot (1.4.2) unstable; urgency=medium

  Timo Savola:

  * Don't set SO_REUSEADDR option for client TCP socket (Fix
    suggested by Riku Voipio.)

  Clint Adams:

  * Apply patch from Steve Langasek to update debian/rules to build correctly
    on biarch with both the old and new versions of dpkg-architecture
    closes: #317911.
  * Stop forcing gcc 3.4 on amd64.  closes: #317911.

 -- Clint Adams <schizo@debian.org>  Thu, 14 Jul 2005 06:37:36 -0400

fakeroot (1.4.1) unstable; urgency=low

  * Fix broken shell substitution.
  * Bump to Standards-Version 3.6.2.

 -- Clint Adams <schizo@debian.org>  Wed, 29 Jun 2005 17:58:48 -0400

fakeroot (1.4) unstable; urgency=low

  Timo Savola:

  * Daemon support (TCP version): faked goes into "detached" mode when it
    receives SIGHUP: it will terminate as soon as all clients close their
    connections. The fakeroot script kills faked with SIGHUP instead of
    SIGTERM when it exits. This is done in order to provide a working
    (although isolated) fakeroot environment for daemon processes that are
    launched from a fakeroot session.

  * Forward-declare cleanup().

  * Undo unnecessary "fix" in fork wrapper.  (There is no reason to preserve
    errno when not returning -1.)

  Clint Adams:

  * Steal shell detection code from bogofilter, and use a
    POSIX-conformant shell rather than /bin/sh.  This is
    necessary because Solaris is still using a /bin/sh from
    the early Cretaceous period.  closes: #316070.
  * Apply patches from Yann Dirson to make tests more portable
    and to fix typo in --help output.  closes: #316048.
  * Update Spanish manpage translation from Rubén Porras Campo.
    closes: #310273.

 -- Clint Adams <schizo@debian.org>  Wed, 29 Jun 2005 10:23:12 -0400

fakeroot (1.3) unstable; urgency=low

  Timo Savola:

  * communicate.c, communicate.h, libfakeroot.c, wrapfunc.inp:
    Wrap close and dup2 to avoid closing TCP socket.

 -- Clint Adams <schizo@debian.org>  Fri, 20 May 2005 10:25:21 -0400

fakeroot (1.2.13) unstable; urgency=low

  * Add gcc-3.4 and ia32-libs-dev to build-depends for amd64.

 -- Clint Adams <schizo@debian.org>  Tue, 10 May 2005 14:11:22 -0400

fakeroot (1.2.12) unstable; urgency=low

  * Do not run the test suites if DEB_BUILD_OPTIONS contains
    'nocheck'.  closes: #308100.
  * Apply Goswin's patch to extend biarch support to include
    32bit on amd64.  closes: #292505.

 -- Clint Adams <schizo@debian.org>  Mon,  9 May 2005 11:47:47 -0400

fakeroot (1.2.11) unstable; urgency=low

  * Apply patch from Michael Banck to fix the Hurd alternative
    handling.  closes: #299633.

 -- Clint Adams <schizo@debian.org>  Sat,  7 May 2005 17:37:37 -0400
