=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: fakeroot
 Section: utils
 Priority: optional
-Build-Depends: sharutils, libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc]
+Build-Depends: sharutils, libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc], ia32-libs-dev [amd64], libc6-dev-amd64 [i386] | amd64-libs-dev [i386], libc6-dev-ppc64 [powerpc], libc6-dev-powerpc [ppc64]
 Maintainer: Clint Adams <schizo@debian.org>
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: fakeroot
 Architecture: any
