=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,16 @@
 INSTALL_PROGRAM += -s
 endif
 
+ifeq (x86_64-linux-gnu,$(DEB_HOST_GNU_TYPE))
+BIARCH_LIB_DIR=usr/lib32
+else
+ifeq (ppc64-linux-gnu,$(DEB_HOST_GNU_TYPE))
+BIARCH_LIB_DIR=usr/lib32
+else
+BIARCH_LIB_DIR=usr/lib64
+endif
+endif
+
 
 build: build-stamp
 build-stamp:
@@ -41,8 +51,10 @@
 	cd objfake-tcp && $(MAKE)
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	cd obj-sysv && $(MAKE) check
 	cd obj-tcp && $(MAKE) check
+endif
 endif
 
 	touch build-stamp
@@ -56,7 +68,7 @@
 	-cd obj-tcp && $(MAKE) distclean
 	-cd objfake-sysv && $(MAKE) distclean
 	-cd objfake-tcp && $(MAKE) distclean
-ifneq (,$(findstring $(DEB_HOST_GNU_TYPE), sparc-linux s390-linux))
+ifneq (,$(findstring $(DEB_HOST_GNU_TYPE), sparc-linux-gnu s390-linux-gnu x86_64-linux-gnu i486-linux-gnu powerpc-linux-gnu ppc64-linux-gnu))
 	-cd obj64-sysv && $(MAKE) distclean
 	-cd obj64-tcp && $(MAKE) distclean
 endif
@@ -110,7 +122,7 @@
 	rm debian/tmp/usr/lib/libfakeroot/libfakeroot.so
 	rm debian/tmp/usr/lib/libfakeroot.a
 	rm debian/tmp/usr/lib/libfakeroot.so
-ifneq (,$(findstring $(DEB_HOST_GNU_TYPE), sparc-linux s390-linux))
+ifneq (,$(findstring $(DEB_HOST_GNU_TYPE), sparc-linux-gnu s390-linux-gnu x86_64-linux-gnu i486-linux-gnu powerpc-linux-gnu ppc64-linux-gnu))
 	debian/rules binary-biarch
 endif
 	$(INSTALL_FILE) debian/copyright debian/tmp/usr/share/doc/fakeroot/copyright
@@ -136,7 +148,7 @@
 endif
 	$(INSTALL_FILE) debian/shlibs debian/tmp/DEBIAN/shlibs
 	$(INSTALL_SCRIPT) debian/fakeroot.prerm debian/tmp/DEBIAN/prerm
-ifneq ($(DEB_HOST_GNU_TYPE),i386-hurd)
+ifneq ($(DEB_HOST_GNU_SYSTEM),gnu)
 	sed 's/@FAKEROOT_SYSV_ALTPRIO@/50/;s/@FAKEROOT_TCP_ALTPRIO@/30/;' \
 		debian/fakeroot.postinst.in > debian/fakeroot.postinst
 else
@@ -161,9 +173,4 @@
 	$(checkdir)
 	mkdir obj64-sysv obj64-tcp
 
-ifeq (sparc-linux,$(DEB_HOST_GNU_TYPE))
-	cd obj64-sysv && CC="gcc -m64" ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=sparc64-linux --program-suffix=-sysv $(CONFARGS)
-	cd obj64-tcp && CC="gcc -m64" ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=sparc64-linux --with-ipc=tcp --program-suffix=-tcp $(CONFARGS)
-endif
-ifeq (s390-linux,$(DEB_HOST_GNU_TYPE))
-	cd obj64-sysv && CC="gcc -m64" ../configure --prefix=/usr --mandir=/usr/share/man --build=s390-linux --host=s390x-linux --program-suffix=-sysv $(CONFARGS)
+ifneq (,$(findstring $(DEB_HOST_GNU_TYPE),sparc-linux-gnu))
