## fakeroot 1.5.6ubuntu2

=== debian/changelog ===
fakeroot (1.5.6ubuntu2) dapper; urgency=low

  * Remove references to ia32-libs-dev.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Mar 2006 13:55:15 +0000

fakeroot (1.5.6ubuntu1) dapper; urgency=low

  * Resynchronise with Debian; resolving minor merge conflict.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 21 Dec 2005 23:24:49 +1100

fakeroot (1.5.6) unstable; urgency=low

  * Patch from Thomas Huriaux to put translated manpages
    under po4a; includes updated French translation from
    Sylvain Cherrier.  closes: #343175.
  * Change soname to avoid ldconfig cruft.  closes: #338071.

 -- Clint Adams <schizo@debian.org>  Tue, 13 Dec 2005 13:43:26 -0500

fakeroot (1.5.5ubuntu1) dapper; urgency=low

  * Resynchronise with Debian unstable. Ubuntu #19013.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Nov 2005 08:44:11 +0100

fakeroot (1.5.5) unstable; urgency=low

  Timo Savola:

  * TCP I/O function fix from Toni Timonen.

  Clint Adams:

  * Patch from Yann Dirson: cope with Solaris tr.  closes: #337059.
  * Patch from Yann Dirson: port to Solaris 10.  closes: #337063.

 -- Clint Adams <schizo@debian.org>  Wed,  2 Nov 2005 09:48:35 -0500

fakeroot (1.5.4) unstable; urgency=low

  * On i386, build-depend on lib64gcc1. 

 -- Clint Adams <schizo@debian.org>  Sun,  2 Oct 2005 19:52:18 -0400

fakeroot (1.5.3) unstable; urgency=low

  * Patch from Steve Langasek to "schmunge the alpha stat struct
    conversion hackery to apply to the stat64 family of calls as well"
  * Reorder i386 biarch build-deps to make sbuild happier.

 -- Clint Adams <schizo@debian.org>  Sun,  2 Oct 2005 11:35:51 -0400

fakeroot (1.5.2) unstable; urgency=low

  * Patch from Matthias Klose to add support for i386,
    powerpc and ppc64 biarch.  closes: #331140.

 -- Clint Adams <schizo@debian.org>  Sat,  1 Oct 2005 16:53:02 -0400
