=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fakeroot
 Section: utils
 Priority: optional
-Build-Depends: sharutils, libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc], ia32-libs-dev [amd64], libc6-dev-amd64 [i386] | amd64-libs-dev [i386], libc6-dev-ppc64 [powerpc], libc6-dev-powerpc [ppc64]
+Build-Depends: sharutils, libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc], libc6-dev-i386 [amd64], libc6-dev-amd64 [i386], libc6-dev-ppc64 [powerpc], libc6-dev-powerpc [ppc64], lib64gcc1 [i386 powerpc sparc s390], lib32gcc1 [amd64], po4a (>= 0.23)
 Maintainer: Clint Adams <schizo@debian.org>
 Standards-Version: 3.6.2
 
@@ -16,4 +16,4 @@
  which provides wrappers around getuid, chown, chmod, mknod, 
  stat, and so on, thereby creating a fake root environment.
  .
- fakeroot requires SYSV IPC to operate.
+ fakeroot requires SYSV IPC or TCP to operate.
