=== debian/rules ===
--- 
+++ 
@@ -87,24 +87,20 @@
 
 	cd obj-tcp && $(MAKE) DESTDIR="$(CURDIR)/debian/tmp" install
 	cd objfake-tcp && $(MAKE) DESTDIR="$(CURDIR)/debian/tmp" install
-	mv debian/tmp/usr/lib/libfakeroot/libfakeroot.so.0.0.1 debian/tmp/usr/lib/libfakeroot/libfakeroot-tcp.so.0.0.1
-	rm debian/tmp/usr/lib/libfakeroot/libfakeroot.so.0
-	ln -s libfakeroot-tcp.so.0.0.1 debian/tmp/usr/lib/libfakeroot/libfakeroot-tcp.so.0
+	mv debian/tmp/usr/lib/libfakeroot/libfakeroot-0.so debian/tmp/usr/lib/libfakeroot/libfakeroot-tcp.so
+	rm debian/tmp/usr/lib/libfakeroot/libfakeroot.so
 
-	mv debian/tmp/usr/lib/libfakeroot.so.0.0.1 debian/tmp/usr/lib/libfakeroot-tcp.so.0.0.1
-	rm debian/tmp/usr/lib/libfakeroot.so.0
-	ln -s libfakeroot-tcp.so.0.0.1 debian/tmp/usr/lib/libfakeroot-tcp.so.0
+	mv debian/tmp/usr/lib/libfakeroot-0.so debian/tmp/usr/lib/libfakeroot-tcp.so
+	rm debian/tmp/usr/lib/libfakeroot.so
 
 	cd obj-sysv && $(MAKE) DESTDIR="$(CURDIR)/debian/tmp" install
 	cd objfake-sysv && $(MAKE) DESTDIR="$(CURDIR)/debian/tmp" install
 
-	mv debian/tmp/usr/lib/libfakeroot/libfakeroot.so.0.0.1 debian/tmp/usr/lib/libfakeroot/libfakeroot-sysv.so.0.0.1
-	rm debian/tmp/usr/lib/libfakeroot/libfakeroot.so.0
-	ln -s libfakeroot-sysv.so.0.0.1 debian/tmp/usr/lib/libfakeroot/libfakeroot-sysv.so.0
+	mv debian/tmp/usr/lib/libfakeroot/libfakeroot-0.so debian/tmp/usr/lib/libfakeroot/libfakeroot-sysv.so
+	rm debian/tmp/usr/lib/libfakeroot/libfakeroot.so
 
-	mv debian/tmp/usr/lib/libfakeroot.so.0.0.1 debian/tmp/usr/lib/libfakeroot-sysv.so.0.0.1
-	rm debian/tmp/usr/lib/libfakeroot.so.0
-	ln -s libfakeroot-sysv.so.0.0.1 debian/tmp/usr/lib/libfakeroot-sysv.so.0
+	mv debian/tmp/usr/lib/libfakeroot-0.so debian/tmp/usr/lib/libfakeroot-sysv.so
+	rm debian/tmp/usr/lib/libfakeroot.so
 
 	$(INSTALL_DIR) debian/tmp/DEBIAN debian/tmp/usr/bin/
 #	$(INSTALL_SCRIPT) scripts/fakeroot debian/tmp/usr/bin/
@@ -119,29 +115,34 @@
 #	cd objfake-sysv && ./libtool --finish $(CURDIR)/debian/tmp/usr/lib
 	rm -f debian/tmp/usr/lib/libfakeroot/libfakeroot.*a*
 	rm -f debian/tmp/usr/bin/simple debian/tmp/usr/lib/libfakeroot.la
-	rm debian/tmp/usr/lib/libfakeroot/libfakeroot.so
 	rm debian/tmp/usr/lib/libfakeroot.a
-	rm debian/tmp/usr/lib/libfakeroot.so
 ifneq (,$(findstring $(DEB_HOST_GNU_TYPE), sparc-linux-gnu s390-linux-gnu x86_64-linux-gnu i486-linux-gnu powerpc-linux-gnu ppc64-linux-gnu))
 	debian/rules binary-biarch
 endif
 	$(INSTALL_FILE) debian/copyright debian/tmp/usr/share/doc/fakeroot/copyright
 	$(INSTALL_FILE) debian/changelog debian/tmp/usr/share/doc/fakeroot/changelog
-	gzip -9f debian/tmp/usr/share/man/fr/man1/fakeroot.1 \
-	         debian/tmp/usr/share/man/es/man1/fakeroot.1 \
-		 debian/tmp/usr/share/man/es/man1/faked.1 \
-	         debian/tmp/usr/share/man/sv/man1/fakeroot.1 \
-		 debian/tmp/usr/share/man/sv/man1/faked.1 \
-		 debian/tmp/usr/share/man/man1/faked-sysv.1 \
+	gzip -9f debian/tmp/usr/share/man/man1/faked-sysv.1 \
 		 debian/tmp/usr/share/man/man1/fakeroot-sysv.1 \
 		 debian/tmp/usr/share/man/man1/faked-tcp.1 \
 		 debian/tmp/usr/share/man/man1/fakeroot-tcp.1 \
+		 debian/tmp/usr/share/man/es/man1/faked-sysv.1 \
+		 debian/tmp/usr/share/man/es/man1/fakeroot-sysv.1 \
+		 debian/tmp/usr/share/man/es/man1/faked-tcp.1 \
+		 debian/tmp/usr/share/man/es/man1/fakeroot-tcp.1 \
+		 debian/tmp/usr/share/man/fr/man1/faked-sysv.1 \
+		 debian/tmp/usr/share/man/fr/man1/fakeroot-sysv.1 \
+		 debian/tmp/usr/share/man/fr/man1/faked-tcp.1 \
+		 debian/tmp/usr/share/man/fr/man1/fakeroot-tcp.1 \
+		 debian/tmp/usr/share/man/sv/man1/faked-sysv.1 \
+		 debian/tmp/usr/share/man/sv/man1/fakeroot-sysv.1 \
+		 debian/tmp/usr/share/man/sv/man1/faked-tcp.1 \
+		 debian/tmp/usr/share/man/sv/man1/fakeroot-tcp.1 \
 		 debian/tmp/usr/share/doc/fakeroot/changelog
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot-sysv.so.0.0.1
-	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot/libfakeroot-sysv.so.0.0.1
-	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot-tcp.so.0.0.1
-	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot/libfakeroot-tcp.so.0.0.1
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot-sysv.so
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot/libfakeroot-sysv.so
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot-tcp.so
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/lib/libfakeroot/libfakeroot-tcp.so
 	strip --remove-section=.comment --remove-section=.note debian/tmp/usr/bin/faked-sysv
 	strip --remove-section=.comment --remove-section=.note debian/tmp/usr/bin/faked-tcp
 #	strip --strip-debug debian/tmp/usr/lib/libfakeroot.a
@@ -164,8 +165,8 @@
 	dpkg-gencontrol -ldebian/changelog -isp -Tdebian/substvars -Pdebian/tmp
 	chmod 644 debian/tmp/DEBIAN/control
 	chown root:root debian/tmp/DEBIAN/control
-	chmod  4644  debian/tmp/usr/lib/libfakeroot-sysv.so.0.0.1
-	chmod  4644  debian/tmp/usr/lib/libfakeroot-tcp.so.0.0.1
+	chmod  4644  debian/tmp/usr/lib/libfakeroot-sysv.so
+	chmod  4644  debian/tmp/usr/lib/libfakeroot-tcp.so
 	cd debian/tmp && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
 	dpkg-deb --build debian/tmp ..
 
@@ -174,3 +175,4 @@
 	mkdir obj64-sysv obj64-tcp
 
 ifneq (,$(findstring $(DEB_HOST_GNU_TYPE),sparc-linux-gnu))
+	cd obj64-sysv && CC="gcc -m64" ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=sparc64-linux-gnu --program-suffix=-sysv $(CONFARGS)
