## fakeroot 1.5.9ubuntu1

=== debian/changelog ===
fakeroot (1.5.9ubuntu1) edgy; urgency=low

  * Synchronize with Debian unstable.
    - Remaining change: BIARCH_LIB_DIR.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Jul 2006 09:51:42 +0200

fakeroot (1.5.9) unstable; urgency=low

  * Fix libc6-dev-amd64 typo in build-deps.  closes: #376903.
  * Drop amd64-libs-dev option from build-deps.
  * Bump Standards-Version to 3.7.2.

 -- Clint Adams <schizo@debian.org>  Sat,  8 Jul 2006 12:24:51 -0400

fakeroot (1.5.8ubuntu1) edgy; urgency=low

  * Synchronize with Debian unstable.
  * Fix typo in build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  5 Jul 2006 18:34:58 +0200

fakeroot (1.5.8) unstable; urgency=low

  * Change amd64 build-dep from ia32-libs-dev to libc6-dev-i386.

 -- Clint Adams <schizo@debian.org>  Thu, 16 Mar 2006 18:18:21 -0500

fakeroot (1.5.7) unstable; urgency=low

  * Use libtool 1.9+20051221-1 instead of 1.5.22-2.

 -- Clint Adams <schizo@debian.org>  Sun, 29 Jan 2006 22:44:47 -0500
